Subject: [bug#58022] [PATCH 0/2] python-protontricks: New packages + python-vdf dependency

From: Ludovic Courtès <[email-masked]>
Date: Thu, 29 Sep 2022 22:47:56 +0200

Hi,

Jacob Hrbek <[email-masked]> skribis:

> +    (home-page "https://github.com/Matoking/protontricks")
> +    (synopsis
> +     "A simple wrapper for running Winetricks commands for Proton-enabled games.")
> +    (description
> +     "This package provides a simple wrapper for running Winetricks commands for
> +Proton-enabled games.")

I did not understand much of this description so I dig a bit and found
that Winetricks is a requirement for Protontricks, and that Winetricks
is a script to download non-free Windows software¹.  Did I get it right?

If that characterization is correct, we will not included in Guix as it
would contradict the Free System Distribution Guidelines (FSDG) that the
project follows, specifically the bit about not providing “recipes for
installation of particular nonfree programs”.

Thanks,
Ludo’.

¹ https://raw.githubusercontent.com/Winetricks/winetricks/master/src/winetricks